%define _modulesdir %_libdir/X11/modules

Name: xorg-drv-elo2300
Version: 1.1.2
Release: alt1.M41.1
Serial: 1
Summary: elo2300 input driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_XINPUT = %get_xorg_abi_xinput
Provides: xorg-x11-drv-elo2300 = %serial:%version-%release
Obsoletes: xorg-x11-drv-elo2300

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: xorg-sdk xorg-proto-devel gcc-c++
BuildRequires: xorg-util-macros

%description
elo2300 is an Xorg input driver.

%def_disable static

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_modulesdir/input/*.so

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt1.M41.1
- build for branch 4.1

* Tue Jun 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt2
- renamed xorg-x11-drv-elo2300 to xorg-drv-elo2300
- added requires XORG_ABI_XINPUT = 2.0

* Fri May 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt1
- 1.1.2

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt1
- 1.1.1

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt1
- 1.1.0

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.2-alt0.1
- initial release

